> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model DDL

> Get the DDL for a model's table in the system of record



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/models/{uuid}/ddl
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/models/{uuid}/ddl:
    get:
      tags:
        - Storage - Models
      summary: Get model DDL
      description: Get the DDL for a model's table in the system of record
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            description: Resource UUID
          required: true
          description: Resource UUID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ddl:
                    type: string
                    title: DDL
                    description: Data Definition Language for the model table.
                  language:
                    type: string
                    title: Language
                    description: System of record dialect (e.g. snowflake, bigquery).
                required:
                  - ddl
                  - language
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````